Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service3StaticGreedyImpl

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service3StaticGreedyImpl

All Implemented Interfaces:
  `Service3StaticGreedy`

public class Service3StaticGreedyImpl extends Object implements Service3StaticGreedy

## Constructor Summary

Constructors
Constructor
Description
`Service3StaticGreedyImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindReference1(ServiceInterface1 service)`
`protected void`
`bindReference1Optional(ServiceInterface1Optional service)`
`protected void`
`bindReference2(org.osgi.framework.ServiceReference<ServiceInterface2> serviceReference)`
`protected void`
`bindReference3(ServiceSuperInterface3 service, Map<String,Object> serviceConfig)`
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getConfig()`
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`List<Map<String,Object>>`
`getReference3Configs()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`List<ServiceSuperInterface3>`
`getReferences3Filtered()`
`protected void`
`unbindReference1(ServiceInterface1 service)`
`protected void`
`unbindReference1Optional(ServiceInterface1Optional service)`
`protected void`
`unbindReference2(org.osgi.framework.ServiceReference<ServiceInterface2> serviceReference)`
`protected void`
`unbindReference3(ServiceSuperInterface3 service, Map<String,Object> serviceConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service3StaticGreedyImpl

public Service3StaticGreedyImpl()

## Method Details

### getReference1

public ServiceInterface1 getReference1()

Specified by:
  `getReference1` in interface `Service3StaticGreedy`

### getReference1Optional

public ServiceInterface1Optional getReference1Optional()

Specified by:
  `getReference1Optional` in interface `Service3StaticGreedy`

### getReferences2

public List<ServiceInterface2> getReferences2()

Specified by:
  `getReferences2` in interface `Service3StaticGreedy`

### getReferences3

public List<ServiceSuperInterface3> getReferences3()

Specified by:
  `getReferences3` in interface `Service3StaticGreedy`

### getReference3Configs

public List<Map<String,Object>> getReference3Configs()

Specified by:
  `getReference3Configs` in interface `Service3StaticGreedy`

### getReferences3Filtered

public List<ServiceSuperInterface3> getReferences3Filtered()

Specified by:
  `getReferences3Filtered` in interface `Service3StaticGreedy`

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()

### getConfig

public Map<String,Object> getConfig()

### bindReference1Optional

protected void bindReference1Optional(ServiceInterface1Optional service)

### unbindReference1Optional

protected void unbindReference1Optional(ServiceInterface1Optional service)

### bindReference1

protected void bindReference1(ServiceInterface1 service)

### unbindReference1

protected void unbindReference1(ServiceInterface1 service)

### bindReference2

protected void bindReference2(org.osgi.framework.ServiceReference<ServiceInterface2> serviceReference)

### unbindReference2

protected void unbindReference2(org.osgi.framework.ServiceReference<ServiceInterface2> serviceReference)

### bindReference3

protected void bindReference3(ServiceSuperInterface3 service, Map<String,Object> serviceConfig)

### unbindReference3

protected void unbindReference3(ServiceSuperInterface3 service, Map<String,Object> serviceConfig)